CVE-2008-5317

NameCVE-2008-5317
DescriptionInteger signedness error in the cmsAllocGamma function in src/cmsgamma.c in Little cms color engine (aka lcms) before 1.17 allows attackers to have an unknown impact via a file containing a certain "number of entries" value, which is interpreted improperly, leading to an allocation of insufficient memory.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-1684-1
NVD severityhigh (attack range: remote)
Debian Bugs542210

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
lcms (PTS)wheezy1.19.dfsg2-1.2+deb7u1fixed
openjdk-6 (PTS)wheezy, wheezy (security)6b38-1.13.10-1~deb7u1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
lcmssource(unstable)1.17-1high
lcmssourceetch1.15-1.1+etch1highDSA-1684-1
openjdk-6source(unstable)6b16-1medium542210

Search for package or bug name: Reporting problems